## com.google.javascript.jscomp.graph
Interface GraphNode<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Superinterfaces:
  Annotatable

All Known Subinterfaces:
  DiGraph.DiGraphNode<N,E>, UndiGraph.UndiGraphNode<N,E>

    public interface GraphNode<N,E>

extends Annotatable

A generic node.

Method Summary
`N` | `getValue()` Retrieves the node's value.

Methods inherited from interface com.google.javascript.jscomp.graph.Annotatable
`getAnnotation, setAnnotation`

Method Detail

### getValue

    N getValue()

  Retrieves the node's value.

  Returns:
    The value.